SEQanswers

Go Back   SEQanswers > Bioinformatics > Bioinformatics



Similar Threads
Thread Thread Starter Forum Replies Last Post
Breakdancer installation problem opulcy97 Bioinformatics 9 11-04-2015 10:58 PM
Problem with MEME installation bob-loblaw Bioinformatics 2 05-19-2014 06:43 AM
R package installation problem marco12345 Bioinformatics 0 06-10-2013 06:31 AM
Newbler installation problem Antony03 454 Pyrosequencing 1 05-09-2012 08:56 PM
TMAP installation Problem swapnil2188 Ion Torrent 5 03-12-2012 05:33 AM

Reply
 
Thread Tools
Old 07-28-2013, 08:24 PM   #1
sridhar28
Member
 
Location: chennai

Join Date: May 2013
Posts: 15
Default R installation Problem

Dear Users,

I am trying to install R package(R-3.0.1) in my Linux Machine Redhat(6.0)
After unzip and giving command ./configure.. it run for sometime and finally i got

R is now configured for x86_64-unknown-linux-gnu

Source directory: .
Installation directory: /usr/local

C compiler: gcc -std=gnu99 -g -O2
Fortran 77 compiler: g77 -g -O2

C++ compiler: g++ -g -O2
Fortran 90/95 compiler: g77 -g -O2
Obj-C compiler:

Interfaces supported: X11
External libraries: readline
Additional capabilities: TIFF, NLS
Options enabled: shared BLAS, R profiling

Recommended packages: yes

configure: WARNING: you cannot build info or HTML versions of the R manuals
configure: WARNING: you cannot build PDF versions of the R manuals
configure: WARNING: you cannot build PDF versions of vignettes and help pages

Then i gave command as "make" as mentioned in the R installation manual.
i got out put as

Invalid declaration of or reference to symbol `tiny' at (^) [initially seen at (^)]
make[4]: *** [dlamch.o] Error 1
make[4]: Leaving directory `/illumina/data/galaxy/apps/R-3.0.1/src/modules/lapack'
make[3]: *** [R] Error 2
make[3]: Leaving directory `/illumina/data/galaxy/apps/R-3.0.1/src/modules/lapack'
make[2]: *** [make.lapack] Error 2
make[2]: Leaving directory `/illumina/data/galaxy/apps/R-3.0.1/src/modules'
make[1]: *** [R] Error 1
make[1]: Leaving directory `/illumina/data/galaxy/apps/R-3.0.1/src'
make: *** [R] Error 1

i tried with the epel repository to install R package
i installed the epel for redhat linux.
and gave command as
"yum install R"
i started installation and gave Error as

Error: Package: R-core-3.0.1-2.el6.x86_64 (epel)
Requires: libjpeg.so.62(LIBJPEG_6.2)(64bit)
Error: Package: R-core-devel-3.0.1-2.el6.x86_64 (epel)
Requires: texinfo-tex
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

Then i tried to install the missing library
yum install libjpeg.so.62
it gave output as

Loaded plugins: refresh-packagekit
Setting up Install Process
Package libjpeg-6b-46.el6.i686 already installed and latest version
Nothing to do

Please suggest on the same, It would be a great help for me..

Thanks
Sridhar
sridhar28 is offline   Reply With Quote
Old 05-13-2014, 08:05 AM   #2
javijevi
Member
 
Location: Spain

Join Date: Jan 2010
Posts: 38
Default

You must install 'gfortran' package, then ./configure, then make. I had the same problem and it worked for me. I got it from here:

http://r.789695.n4.nabble.com/R-3-0-...td4676434.html

BTW, I also needed to have installed a Java JDK (openjdk-6-jdk worked fine for me) for make to end with no errors.

Good luck,

Javier.

Last edited by javijevi; 05-13-2014 at 08:38 AM.
javijevi is offline   Reply With Quote
Reply

Tags
epel, installation, rpackage

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off




All times are GMT -8. The time now is 05:31 AM.


Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2020, vBulletin Solutions, Inc.
Single Sign On provided by vBSSO